Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
osmium::gzip_error Struct Reference

`#include <gzip_compression.hpp>`

Inheritance diagram for osmium::gzip_error:
[legend]
Collaboration diagram for osmium::gzip_error:
[legend]

## Public Member Functions
| gzip_error (const std::string &what)
| gzip_error (const std::string &what, const int error_code)
Public Member Functions inherited from osmium::io_error
| io_error (const std::string &what)
| io_error (const char *what)

## Public Attributes
int | gzip_error_code = 0
int | system_errno = 0

## Detailed Description

Exception thrown when there are problems compressing or decompressing gzip files.

## Constructor & Destructor Documentation

## ◆ gzip_error() [1/2]

osmium::gzip_error::gzip_error | ( | const std::string & | what | ) |
| inline explicit

## ◆ gzip_error() [2/2]

osmium::gzip_error::gzip_error | ( | const std::string & | what,
|  | const int | error_code )
| inline

## Member Data Documentation

## ◆ gzip_error_code

int osmium::gzip_error::gzip_error_code = 0

## ◆ system_errno

int osmium::gzip_error::system_errno = 0

The documentation for this struct was generated from the following file:

- include/osmium/io/gzip_compression.hpp